
From: Anton Blanchard <anton@samba.org>

Remove unused this_rq


---

 25-akpm/kernel/sched.c |    2 --
 include/linux/sched.h  |    0 
 2 files changed, 2 deletions(-)

diff -puN include/linux/sched.h~sched-remove-unused-local include/linux/sched.h
diff -puN kernel/sched.c~sched-remove-unused-local kernel/sched.c
--- 25/kernel/sched.c~sched-remove-unused-local	2004-03-17 11:28:59.811239440 -0800
+++ 25-akpm/kernel/sched.c	2004-03-17 11:28:59.816238680 -0800
@@ -705,7 +705,6 @@ static int try_to_wake_up(task_t * p, un
 	unsigned long load, this_load;
 	int new_cpu;
 	struct sched_domain *sd;
-	runqueue_t *this_rq;
 #endif
 
 	rq = task_rq_lock(p, &flags);
@@ -736,7 +735,6 @@ static int try_to_wake_up(task_t * p, un
 		goto repeat_lock_task;
 	}
 
-	this_rq = this_rq();
 	now = sched_clock();
 	sd = cpu_sched_domain(this_cpu);
 

_
